@property --alpha1 {
    syntax: "<number>";
    inherits: true;
    initial-value: 0;
}
@property --alpha2 {
    syntax: "<number>";
    inherits: true;
    initial-value: 0;
}
@property --alpha3 {
    syntax: "<number>";
    inherits: true;
    initial-value: 0;
}
@property --alpha4 {
    syntax: "<number>";
    inherits: true;
    initial-value: 0;
}
@property --alpha5 {
    syntax: "<number>";
    inherits: true;
    initial-value: 0;
}

* {
    box-sizing: border-box;
}
body {
    background: #000;
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin: 0;
    overflow: hidden;
}

.full-circle {
    display: flex;
    transition: transform .2s;
}

.container {
    height: 200px;
    width: 200px;
    clip-path: circle(100% at 0 100%);
    position: relative;
    overflow: hidden;
}

.green {
    background:
        radial-gradient(
            rgba(0,255,0,var(--alpha1)) 0 14%,
            rgba(0,255,0,var(--alpha2)) 14% 28%,
            rgba(0,255,0,var(--alpha3)) 28% 42%,
            rgba(0,255,0,var(--alpha4)) 42% 56%,
            rgba(0,255,0,var(--alpha5)) 56% 70%
        );
    animation: colorChange 5s steps(1) forwards;
    animation-delay: 1s;
    transform: rotate(-60deg);
}

.yellow {
    background: 
        radial-gradient(
            rgba(255,255,0,var(--alpha1)) 0 14%,
            rgba(255,255,0,var(--alpha2)) 14% 28%,
            rgba(255,255,0,var(--alpha3)) 28% 42%,
            rgba(255,255,0,var(--alpha4)) 42% 56%,
            rgba(255,255,0,var(--alpha5)) 6% 70%
        );
    transform: rotate(30deg);
    animation: colorChangeR 5s steps(1) forwards;
    animation-delay: 6s;
    transform: rotate(-30deg);
    z-index: -1;
}


.red {
    background: 
        radial-gradient(
            rgba(255,0,0,var(--alpha1)) 0 14%,
            rgba(255,0,0,var(--alpha2)) 14% 28%,
            rgba(255,0,0,var(--alpha3)) 28% 42%,
            rgba(255,0,0,var(--alpha4)) 42% 56%,
            rgba(255,0,0,var(--alpha5)) 6% 70%
        );
    transform: rotate(60deg);
    animation: colorChange 5s steps(1) forwards;
    animation-delay: 11s;
}

.green,
.yellow,
.red {
    height: 200px;
    width: 200px;
    position: absolute;
    background-position: top right;
    background-size: 200% 200%;
    transform-origin: bottom left;
    background-color: #000;
}


.q2 {
    transform: rotate(90deg);
}

.q2 .green {
    animation: colorChangeR 5s steps(1) forwards;
    animation-delay: 16s;
    
}
.q2 .yellow {
    animation: colorChange 5s steps(1) forwards;
    animation-delay: 21s;
}
.q2 .red {
    animation: colorChangeR 5s steps(1) forwards;
    animation-delay: 26s;
}

.q3 {
    transform: rotate(180deg);
}

.q3 .green {
    animation-delay: 31s;
}
.q3 .yellow {
    animation-delay: 36s;
}
.q3 .red {
    animation-delay: 41s;
}

.q4 {
    transform: rotate(270deg);
}

.q4 .green {
    animation: colorChangeR 5s steps(1) forwards;
    animation-delay: 46s;
}
.q4 .yellow {
    animation: colorChange 5s steps(1) forwards;
    animation-delay: 51s;
}
.q4 .red {
    animation: colorChangeR 5s steps(1) forwards;
    animation-delay: 56s;
}

@keyframes colorChange {
    0% {
        --alpha1 : 1;
        --alpha2 : 0.04;
        --alpha3 : 0;
        --alpha4 : 0;
        --alpha5 : 0;
    }
    20% {
        --alpha1 : 0.6;
        --alpha2 : 1;
        --alpha3 : 0.04;
        --alpha4 : 0;
        --alpha5 : 0;
    }
    40% {
        --alpha1 : 0.6;
        --alpha2 : 0.7;
        --alpha3 : 1;
        --alpha4 : 0.04;
        --alpha5 : 0;
    }
    60% {
        --alpha1 : 0.6;
        --alpha2 : 0.7;
        --alpha3 : 0.8;
        --alpha4 : 1;
        --alpha5 : 0.04;
    }
    80%, 100% {
        --alpha1 : 0.6;
        --alpha2 : 0.7;
        --alpha3 : 0.8;
        --alpha4 : 0.9;
        --alpha5 : 1;
    }
    100% {
        filter: saturate(0);
    }
}

@keyframes colorChangeR {
    0% {
        --alpha1 : 0;
        --alpha2 : 0;
        --alpha3 : 0;
        --alpha4 : 0;
        --alpha5 : 1;
    }
    20% {
        --alpha1 : 0;
        --alpha2 : 0;
        --alpha3 : 0;
        --alpha4 : 0.9;
        --alpha5 : 1;
    }
    40% {
        --alpha1 : 0;
        --alpha2 : 0;
        --alpha3 : 0.8;
        --alpha4 : 0.9;
        --alpha5 : 1;
    }
    60% {
        --alpha1 : 0;
        --alpha2 : 0.7;
        --alpha3 : 0.8;
        --alpha4 : 0.9;
        --alpha5 : 1;
    }
    80%, 100% {
        --alpha1 : 0.6;
        --alpha2 : 0.7;
        --alpha3 : 0.8;
        --alpha4 : 0.9;
        --alpha5 : 1;
    }
    100% {
        filter: saturate(0);
    }
}

label {
    color: #fff;
    position: fixed;
    bottom: 5vh;
    left: 50%;
}